local data = UpgradesTweakData.init
function UpgradesTweakData:init(tweak_data)
	data(self, tweak_data)

	-- SAW Skills
		self.values.saw.damage_multiplier = {5, 6} 
		self.values.saw.extra_ammo_multiplier = {1.5,1.5,3,4}
		self.values.saw.swap_speed_multiplier = {1.8,1.8,1.5,1.8}
	    self.values.saw.reload_speed_multiplier = {1.5,1.8}
	    --self.values.saw.melee_knockdown_mul = {1.75}
	    self.values.saw.consume_no_ammo_chance = {0.30, 0.40} -- done tier 3
	-- 

	-- SAW skilltree skills

	-- /SAW SKILLTREE

	--TIER1

		self.definitions.saw_swap_speed_multiplier_1 = {
			category = "feature",
			name_id = "menu_saw_swap_speed_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "swap_speed_multiplier",
				value = 3
			}
		}

		self.definitions.saw_swap_speed_multiplier_2 = {
			category = "feature",
			name_id = "menu_saw_swap_speed_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "swap_speed_multiplier",
				value = 4
			}
		}

	--Tier1

	--tier 2

		self.definitions.saw_reload_speed_multiplier_1 = {
			category = "feature",
			name_id = "menu_saw_reload_speed_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "reload_speed_multiplier",
				value = 1
			}
		}

		self.definitions.saw_reload_speed_multiplier_2 = {
			category = "feature",
			name_id = "menu_saw_reload_speed_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "reload_speed_multiplier",
				value = 2
			}
		}

		self.definitions.butcher_saw_extra_ammo_multiplier_1 = {
			category = "feature",
			name_id = "menu_saw_extra_ammo_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "extra_ammo_multiplier",
				value = 3
			}
		}

		self.definitions.butcher_saw_extra_ammo_multiplier_2 = {
			category = "feature",
			name_id = "menu_saw_extra_ammo_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "extra_ammo_multiplier",
				value = 4
			}
		}
		
	--tier 3

		self.definitions.saw_damage_multiplier_1 = {
			category = "feature",
			name_id = "saw_damage_multi",
			upgrade = {
				category = "saw",
				upgrade = "damage_multiplier",
				value = 1
			}
		}

		self.definitions.saw_damage_multiplier_2 = {
			category = "feature",
			name_id = "saw_damage_multi",
			upgrade = {
				category = "saw",
				upgrade = "damage_multiplier",
				value = 2
			}
		}

		--[[

		self.definitions.saw_fire_rate_multiplier_1 = {
			category = "feature",
			name_id = "menu_saw_fire_rate_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "fire_rate_multiplier",
				value = 1
			}
		}

		self.definitions.saw_fire_rate_multiplier_2 = {
			category = "feature",
			name_id = "menu_saw_fire_rate_multiplier",
			upgrade = {
				category = "saw",
				upgrade = "fire_rate_multiplier",
				value = 2
			}
		}


		
		

		self.definitions.saw_melee_knockdown_mul = {
			category = "feature",
			name_id = "menu_saw_melee_knockdown_mul",
			upgrade = {
				category = "saw",
				upgrade = "melee_knockdown_mul",
				value = 1
			}
		}
		]]
		-- 

		self.definitions.saw_consume_no_ammo_chance_1 = {
			category = "feature",
			name_id = "menu_saw_consume_no_ammo_chance",
			upgrade = {
				category = "saw",
				upgrade = "consume_no_ammo_chance",
				value = 1
			}
		}
		
		self.definitions.saw_consume_no_ammo_chance_2 = {
			category = "feature",
			name_id = "menu_saw_consume_no_ammo_chance",
			upgrade = {
				category = "saw",
				upgrade = "consume_no_ammo_chance",
				value = 2
			}
		}
		



	--


end