log("\tthreat.lua | THREAT GRENADE INITIALIZED")
--hook to "hook_id" : "lib/units/weapons/grenades/fraggrenade",
function showThreat(posArg, bSync)
	bSync = true
	local detected = World:find_units_quick("sphere", posArg, 1900, managers.slot:get_mask("enemies"))
	for k, v in ipairs(detected) do
		v:contour():add("mark_enemy", bSync, 5)
		log("\tNEW CONTOUR")
	end
end

local old_frag_detonate = FragGrenade._detonate
function FragGrenade:_detonate(tag, unit, body, other_unit, other_body, position, normal, collision_velocity, velocity, other_velocity, new_velocity, direction, damage, ...)
	old_frag_detonate(self, tag, unit, body, other_unit, other_body, position, normal, collision_velocity, velocity, other_velocity, new_velocity, direction, damage, ...)
	log("GRENADE HOST CALLED")
	local isHEF = tostring(self._unit:name()) == "Idstring(@ID19b8acf64de205a7@)"
	local isThrower
	if managers.player:player_unit() and self._thrower_unit then
		isThrower = self._thrower_unit:name() == managers.player:player_unit():name()
	end
	if isHEF and isThrower then
		showThreat(self._unit:position(), true)
		log("HOST | IS THROWER, HEF GRENADE")
	end
	--FRG "Idstring(@IDcbeccc0c08e5b9c4@)"
	--HEF "Idstring(@ID19b8acf64de205a7@)"
end

local old_frag_client = FragGrenade._detonate_on_client
function FragGrenade:_detonate_on_client()
	old_frag_client(self)
	log("GRENADE CLIENT CALLED")
	local isHEF = tostring(self._unit:name()) == "Idstring(@ID19b8acf64de205a7@)"
	local isThrower
	if managers.player:player_unit() and self._thrower_unit then
		isThrower = self._thrower_unit:name() == managers.player:player_unit():name()
	end
	if isHEF and isThrower then
		showThreat(self._unit:position(), true)
		log("CLIENT | IS THROWER, HEF GRENADE")
	end
end