_G.MenuRecon = _G.MenuRecon or {}
MenuRecon._path = ModPath
MenuRecon._data_path = ModPath .. "/save/MenuRecon_options.txt"
MenuRecon._data = {}

function MenuRecon:get_data()
	return MenuRecon._data.sync_ecm_val
end

function MenuRecon:Save()
	local file = io.open( self._data_path, "w+" )
	if file then
		file:write( json.encode( self._data ) )
		file:close()
	end
end
function MenuRecon:Load()
	local file = io.open( self._data_path, "r" )
	if file then
		self._data = json.decode( file:read("*all") )
		file:close()
		if self._data.sync_ecm_val == nil then self._data.sync_ecm_val = true end
		MenuRecon:Save()
	end
end
Hooks:Add("MenuManagerInitialize", "MenuRecon_MenuManagerInitialize", function(menu_manager)
	MenuCallbackHandler.MenuRecon_save = function(self, item)
		MenuRecon:Save()
	end	
	MenuCallbackHandler.sync_ecm_func = function(self, item)
		MenuRecon._data.sync_ecm_val = (item:value() == "on" and true or false)
	end		
	MenuRecon:Load()
	MenuHelper:LoadFromJsonFile(MenuRecon._path .. "/options.txt", MenuRecon, MenuRecon._data)
end )