local data = UpgradesTweakData.init
function UpgradesTweakData:init(tweak_data)
	data(self, tweak_data)

	-- Modded values
		self.values.ecm_jammer.recon_cooldown_boost = {0.90,0.80}
		self.values.ecm_jammer.recon_enabled = {true}
		self.values.ecm_jammer.recon_dmg_boost = {true}
		self.values.ecm_jammer.recon_retrigger = {true}

	---------Modded definitions-------

		self.definitions.ecm_jammer_interaction_speed_multiplier = {
			category = "equipment_upgrade",
			name_id = "menu_ecm_jammer_interaction_speed_multiplier",
			upgrade = {
				category = "ecm_jammer",
				upgrade = "interaction_speed_multiplier",
				value = 1
			}
		}

		self.definitions.ecm_jammer_recon_enable = {
			category = "equipment_upgrade",
			name_id = "menu_ecm_jammer_recon_enable",
			upgrade = {
				category = "ecm_jammer",
				upgrade = "recon_enabled",
				value = 1
			}
		}

		self.definitions.ecm_jammer_recon_retrigger = {
			category = "equipment_upgrade",
			name_id = "menu_ecm_jammer_recon_retrigger",
			upgrade = {
				category = "ecm_jammer",
				upgrade = "recon_retrigger",
				value = 1
			}
		}

		self.definitions.ecm_jammer_recon_dmg_boost = {
			category = "equipment_upgrade",
			name_id = "menu_ecm_jammer_recon_dmg_boost",
			upgrade = {
				category = "ecm_jammer",
				upgrade = "recon_dmg_boost",
				value = 1
			}
		}

		self.definitions.ecm_jammer_recon_cooldown_boost_1 = {
			category = "equipment_upgrade",
			name_id = "menu_ecm_jammer_recon_cooldown_boost",
			upgrade = {
				category = "ecm_jammer",
				upgrade = "recon_cooldown_boost",
				value = 1
			}
		}

		self.definitions.ecm_jammer_recon_cooldown_boost_2 = {
			category = "equipment_upgrade",
			name_id = "menu_ecm_jammer_recon_cooldown_boost",
			upgrade = {
				category = "ecm_jammer",
				upgrade = "recon_cooldown_boost",
				value = 2
			}
		}
end